﻿@model CarRental.Web.Areas.CarOwner.ViewModels.AddCarViewModel

@{
    ViewData["Title"] = "List";
    Layout = "~/Areas/CarOwner/Views/Shared/_Layout.cshtml";
}

<style>
    .carousel-item {
        height: 280px;
    }

        .carousel-item img {
            height: 280px !important;
        }
</style>

<section class="ftco-section bg-light signup-step-container">
    <div class="container">
        <div class="row d-flex justify-content-center">
            <div class="col-md-12">
                <div class="wizard">
                    <div class="wizard-inner">
                        <div class="connecting-line"></div>
                        <ul class="nav nav-tabs" role="tablist">
                            <li role="presentation" class="active">
                                <a href="#step1" data-toggle="tab" aria-controls="step1" role="tab"
                                   aria-expanded="true">
                                    <span class="round-tab">1 </span> <i>
                                        Step 1: Basic
                                    </i>
                                </a>
                            </li>
                            <li role="presentation" class="disabled">
                                <a href="#step2" onclick="updateStep4Values()" data-toggle="tab" aria-controls="step2" role="tab"
                                   aria-expanded="false">
                                    <span class="round-tab">2</span> <i>
                                        Step 2: Details
                                    </i>
                                </a>
                            </li>
                            <li role="presentation" class="disabled">
                                <a href="#step3" onclick="updateStep4Values()" data-toggle="tab" aria-controls="step3" role="tab">
                                    <span class="round-tab">3</span> <i>
                                        Step
                                        3: Pricing
                                    </i>
                                </a>
                            </li>
                            <li role="presentation" class="disabled">
                                <a href="#step4" onclick="updateStep4Values()" data-toggle="tab" aria-controls="step4" role="tab">
                                    <span class="round-tab">4</span> <i>
                                        Step
                                        4: Finish
                                    </i>
                                </a>
                            </li>
                        </ul>
                    </div>

                    <form role="form" method="post" class="login-box" asp-action="Create" asp-area="CarOwner" asp-controller="Cars" enctype="multipart/form-data">
                        <div class="tab-content" id="main_form">
                            <div class="tab-pane active" role="tabpanel" data-step="1" id="step1">
                                <div class="form-row mb-3">
                                    <div class="col-md-6">
                                        <label for="validationCustom01" asp-for="LicensePlate">
                                            License Plate:
                                        </label>
                                        <input type="text" asp-for="LicensePlate" name="licensePlate" class="form-control" id="validationCustom01" required>
                                        <div class="invalid-feedback">
                                            Please provide a valid license plate
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label asp-for="ColorId">Color: </label>
                                        <select id="colorDropdown" asp-for="ColorId" asp-items="ViewBag.ColorId" class="custom-select custom-select-lg mb-3 d-block">
                                            <option selected>Color</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Please provide a valid color
                                        </div>
                                    </div>
                                </div>
                                <div class="form-row mb-3">
                                    <div class="col-md-6">
                                        <label asp-for="BrandModelId">
                                            Brand name:
                                        </label>
                                        <select id="brandDropdown" asp-for="BrandModel!.Brand" asp-items="ViewBag.Brand" class="custom-select custom-select-lg mb-3 d-block">
                                            <option selected>Brand name</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Please provide a valid brand name
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label asp-for="BrandModelId">Model: </label>
                                        <select id="modelDropdown" asp-for="BrandModel!.Model" asp-items="ViewBag.Model" class="custom-select custom-select-lg mb-3 d-block">
                                            <option selected>Model</option>
                                        </select>
                                        <input hidden asp-for="BrandModelId" />
                                        <div class="invalid-feedback">
                                            Please provide a valid model
                                        </div>
                                    </div>
                                </div>
                                <div class="form-row mb-3">
                                    <div class="col-md-6">
                                        <label for="validationCustom02" asp-for="ProductionYears">
                                            Production year:
                                        </label>
                                        <select asp-for="ProductionYears" name="ProductionYears" class="form-control w-50" id="validationCustom02" required>
                                            <option value="2023" selected>2023</option>
                                            @for (int i = 2022; i >= 2000; i--)
                                            {
                                                <option value="@i" selected>@i</option>
                                            }

                                        </select>
                                        <div class="invalid-feedback">
                                            Please provide a valid year
                                            <span asp-validation-for="ProductionYears"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="validationCustom03" asp-for="NumberOfSeats">
                                            No. of seats:
                                        </label>
                                        <select asp-for="NumberOfSeats" name="NumberOfSeats" class="form-control w-50" id="validationCustom03" required>
                                            <option value="4" selected>4 seats</option>
                                            <option value="8">8 seats</option>
                                            <option value="12">12 seats</option>
                                            <option value="16">16 seats</option>
                                            <option value="30">30 seats</option>
                                            <option value="54" >54 seats</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            <span asp-validation-for="NumberOfSeats"></span>
                                            Please provide a valid number of seats
                                        </div>

                                    </div>
                                </div>
                                <div class="form-row mb-3">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Transmission:</label>
                                            <div class="d-flex">
                                                <div class="custom-control custom-radio mr-3">
                                                    <input type="radio" asp-for="TransmissionType" id="automaticTransmission" name="TransmissionType" class="custom-control-input" value="Automatic" checked>
                                                    <label asp-for="TransmissionType" class="custom-control-label" for="automaticTransmission">Automatic</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    <input asp-for="TransmissionType" type="radio" id="manualTransmission" name="TransmissionType" class="custom-control-input" value="Manual">
                                                    <label asp-for="TransmissionType" class="custom-control-label" for="manualTransmission">Manual</label>
                                                </div>
                                            </div>
                                            <div class="invalid-feedback">
                                                Please select a valid transmission type
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Fuel:</label>
                                            <div class="d-flex">
                                                <div class="custom-control custom-radio mr-3">
                                                    <input type="radio" asp-for="FuelType" id="gasolineFuel" name="FuelType" class="custom-control-input" value="Gasoline" checked>
                                                    <label class="custom-control-label" for="gasolineFuel">Gasoline</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    <input type="radio" asp-for="FuelType" id="dieselFuel" name="FuelType" class="custom-control-input" value="Diesel">
                                                    <label class="custom-control-label" for="dieselFuel">Diesel</label>
                                                </div>
                                            </div>
                                            <div class="invalid-feedback">
                                                Please select a valid fuel type
                                            </div>
                                        </div>

                                    </div>
                                </div>
                                <h3>Documents: </h3>
                                <div class="row mb-3">
                                    <div class="col-md-4">
                                        <label class="label-add-car" for="registrationPaper">
                                            Registration
                                            paper
                                        </label>
                                        <div id="file-upload-form" class="uploader">
                                            <input id="file-upload-1" class="fileUpload" asp-for="RegistrationImg" type="file" name="RegistrationImg"
                                                   accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                   onchange="prepareUpload(1)" />

                                            <label for="file-upload-1" id="file-drag-1">
                                                <img id="file-image" src="#" alt="Preview" class="hidden file-image-1">
                                                <div id="start">
                                                    <i class="fa fa-upload" aria-hidden="true"></i>
                                                    <div>
                                                        Drag and drop
                                                        OR
                                                    </div>
                                                    <div id="notimage" class="hidden">
                                                        Please
                                                        select an image
                                                    </div>
                                                    <span id="file-upload-btn">
                                                        Select
                                                        a file
                                                    </span>
                                                </div>
                                                <div id="response" class="hidden">
                                                    <div id="messages"></div>
                                                    <progress class="progress" id="file-progress" value="0">
                                                        <span>0</span>%
                                                    </progress>
                                                </div>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <label class="label-add-car" for="registrationPaper">
                                            Certificate
                                            or
                                            Inspection
                                        </label>
                                        <div id="file-upload-form" class="uploader">
                                            <input id="file-upload-2" class="fileUpload" asp-for="CertificateImg" type="file" name="CertificateImg"
                                                   accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                   onchange="prepareUpload(2)" />

                                            <label for="file-upload-2" id="file-drag-2">
                                                <img id="file-image" src="#" alt="Preview" class="hidden file-image-2">
                                                <div id="start">
                                                    <i class="fa fa-upload" aria-hidden="true"></i>
                                                    <div>
                                                        Drag and drop
                                                        OR
                                                    </div>
                                                    <div id="notimage" class="hidden">
                                                        Please
                                                        select an image
                                                    </div>
                                                    <span id="file-upload-btn">
                                                        Select
                                                        a file
                                                    </span>
                                                </div>
                                                <div id="response" class="hidden">
                                                    <div id="messages"></div>
                                                    <progress class="progress" id="file-progress" value="0">
                                                        <span>0</span>%
                                                    </progress>
                                                </div>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <label class="label-add-car" for="registrationPaper">Insurance</label>
                                        <div id="file-upload-form-3" class="uploader">
                                            <input id="file-upload-3" class="fileUpload" asp-for="InsuranceImg" type="file" name="InsuranceImg"
                                                   accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                   onchange="prepareUpload(3)" />

                                            <label for="file-upload-3" id="file-drag-3">
                                                <img id="file-image" src="#" alt="Preview" class="hidden file-image-3">
                                                <div id="start">
                                                    <i class="fa fa-upload" aria-hidden="true"></i>
                                                    <div>
                                                        Drag and drop
                                                        OR
                                                    </div>
                                                    <div id="notimage" class="hidden">
                                                        Please
                                                        select an image
                                                    </div>
                                                    <span id="file-upload-btn">
                                                        Select
                                                        a file
                                                    </span>
                                                </div>
                                                <div id="response" class="hidden">
                                                    <div id="messages"></div>
                                                    <progress class="progress" id="file-progress" value="0">
                                                        <span>0</span>%
                                                    </progress>
                                                </div>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <span class="fileType">
                                    File type: doc,
                                    .docx, .pdf, .jpg, .jpeg, .png
                                </span>
                                <ul class="list-inline pull-right">
                                    <li><button type="button" class="default-btn prev-step">Previous</button></li>
                                    <li><button type="button" class="default-btn next-step">Next</button></li>
                                </ul>

                            </div>
                            <div class="tab-pane" role="tabpanel" data-step="2" id="step2">
                                <div class="form-row mb-3">
                                    <div class="col-md-6">
                                        <label for="validationCustom04" asp-for="Mileage">
                                            Mileage:
                                        </label>
                                        <input type="text" asp-for="Mileage" class="form-control" id="validationCustom04"
                                               placeholder="Mileage" required>
                                        <div class="invalid-feedback">
                                            <span asp-validation-for="NumberOfSeats"></span>
                                            Please provide a valid
                                            mileage
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="validationCustom05" asp-for="FuelConsumption">
                                            Fuel
                                            consumption: (liters/100 km)
                                        </label>
                                        <input type="text" asp-for="FuelConsumption" class="form-control" id="validationCustom05"
                                               placeholder="Fuel consumption" required>
                                        <div class="invalid-feedback">
                                            <span asp-validation-for="FuelConsumption"></span>
                                            Please provide a valid fuel
                                            consumption
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="cityDropdown">City/Province: </label>
                                        <select id="cityDropdown" asp-for="Address.City" class="custom-select custom-select-lg mb-3 d-block">
                                            <option selected>City/Province</option>
                                        </select>
                                        <div class="invalid-feedback"></div>

                                        <label for="districtDropdown">District: </label>
                                        <select id="districtDropdown" asp-for="Address.District" class="custom-select custom-select-lg mb-3 d-block">
                                            <option selected>District</option>
                                        </select>
                                        <div class="invalid-feedback"></div>

                                        <label for="wardDropdown">Ward: </label>
                                        <select id="wardDropdown" asp-for="Address.Ward" class="custom-select custom-select-lg mb-3 d-block">
                                            <option selected>Ward</option>
                                        </select>
                                        <div class="invalid-feedback"></div>

                                        <label for="validationCustom06">House number, Street</label>
                                        <input type="text" asp-for="SpecificAddress" name="SpecificAddress" class="form-control" id="specificAddress" placeholder="House number, Street">
                                        <div class="invalid-feedback">Please provide a valid House number, Street</div>
                                    </div>

                                    <div class="col-md-6">
                                        <label>Description: </label>
                                        <textarea asp-for="Description" name="Description" class="form-control" rows="4"></textarea>
                                    </div>
                                    <div class="col-md-12 mb-3">
                                        <span>
                                            <b>
                                                Additional function:
                                            </b>
                                        </span>

                                    </div>
                                    <div class="col-md-4 " style="padding: 0;">
                                        <div class=" align-items-center d-flex">
                                            <span class="col-md-5 d-block ">Bluetooth</span>
                                            <i class="d-block " aria-hidden="true"></i>
                                            <input type="checkbox" name="AdditionalFunctions" value="Bluetooth">
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <span class="col-md-5 d-block ">GPS</span>
                                            <i class="d-block " aria-hidden="true"></i>
                                            <input type="checkbox" name="AdditionalFunctions" value="GPS">
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <span class="col-md-5 d-block ">Camera</span>
                                            <i class=" d-block " aria-hidden="true"></i>
                                            <input type="checkbox" name="AdditionalFunctions" value="Camera">
                                        </div>
                                    </div>
                                    <div class="col-md-4" style="padding: 0;">
                                        <div class=" align-items-center d-flex">
                                            <span class="col-md-5 d-block ">Sun roof</span>
                                            <i class=" d-block " aria-hidden="true"></i>
                                            <input type="checkbox" name="AdditionalFunctions" value="Sun roof">
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <span class="col-md-5 d-block ">Child lock</span>
                                            <i class=" d-block " aria-hidden="true"></i>
                                            <input type="checkbox" name="AdditionalFunctions" value="Child lock">
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <span class="col-md-5 d-block ">Child seat</span>
                                            <i class=" d-block " aria-hidden="true"></i>
                                            <input type="checkbox" name="AdditionalFunctions" value="Child seat">
                                        </div>
                                    </div>
                                    <div class="col-md-4" style="padding: 0;">
                                        <div class=" align-items-center d-flex">
                                            <span class="col-md-5 d-block ">DVD</span>
                                            <i class="d-block " aria-hidden="true"></i>
                                            <input type="checkbox" name="AdditionalFunctions" value="DVD">
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <span class="col-md-5 d-block ">USB</span>
                                            <i class=" d-block " aria-hidden="true"></i>
                                            <input type="checkbox" name="AdditionalFunctions" value="USB">
                                        </div>
                                    </div>

                                    <div class="col-md-12 mb-3">
                                        <span><b>Images: </b></span>
                                        <div class="row mb-3">
                                            <div class="col-md-6">
                                                <label class="label-add-car" for="registrationPaper">Front</label>
                                                <div id="file-upload-form" class="uploader">
                                                    <input id="file-upload-4" class="fileUpload" asp-for="FrontImg" type="file" name="FrontImg"
                                                           accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                           onchange="prepareUpload(4)" />
                                                    <label for="file-upload-4" id="file-drag-4">
                                                        <img id="file-image" src="#" alt="Preview" class="hidden">
                                                        <div id="start">
                                                            <i class="fa fa-upload" aria-hidden="true"></i>
                                                            <div>Drag and drop OR</div>
                                                            <div id="notimage" class="hidden">
                                                                Please select an image
                                                            </div>
                                                            <span id="file-upload-btn">Select a file</span>
                                                        </div>
                                                        <div id="response" class="hidden">
                                                            <div id="messages"></div>
                                                            <progress class="progress" id="file-progress" value="0">
                                                                <span>0</span>%
                                                            </progress>
                                                        </div>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <label class="label-add-car" for="registrationPaper">Back</label>
                                                <div id="file-upload-form" class="uploader">
                                                    <input id="file-upload-5" class="fileUpload" asp-for="BackImg" type="file" name="BackImg"
                                                           accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                           onchange="prepareUpload(5)" />
                                                    <label for="file-upload-5" id="file-drag-5">
                                                        <img id="file-image" src="#" alt="Preview" class="hidden">
                                                        <div id="start">
                                                            <i class="fa fa-upload" aria-hidden="true"></i>
                                                            <div>Drag and drop OR</div>
                                                            <div id="notimage" class="hidden">
                                                                Please select an image
                                                            </div>
                                                            <span id="file-upload-btn">Select a file</span>
                                                        </div>
                                                        <div id="response" class="hidden">
                                                            <div id="messages"></div>
                                                            <progress class="progress" id="file-progress" value="0">
                                                                <span>0</span>%
                                                            </progress>
                                                        </div>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <label class="label-add-car" for="registrationPaper">Left</label>
                                                <div id="file-upload-form" class="uploader">
                                                    <input id="file-upload-6" class="fileUpload" asp-for="LeftImg" type="file" name="LeftImg"
                                                           accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                           onchange="prepareUpload(6)" />
                                                    <label for="file-upload-6" id="file-drag-6">
                                                        <img id="file-image" src="#" alt="Preview" class="hidden">
                                                        <div id="start">
                                                            <i class="fa fa-upload" aria-hidden="true"></i>
                                                            <div>Drag and drop OR</div>
                                                            <div id="notimage" class="hidden">
                                                                Please select an image
                                                            </div>
                                                            <span id="file-upload-btn">Select a file</span>
                                                        </div>
                                                        <div id="response" class="hidden">
                                                            <div id="messages"></div>
                                                            <progress class="progress" id="file-progress" value="0">
                                                                <span>0</span>%
                                                            </progress>
                                                        </div>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <label class="label-add-car" for="registrationPaper">Right</label>
                                                <div id="file-upload-form" class="uploader">
                                                    <input id="file-upload-7" class="fileUpload" asp-for="RightImg" type="file" name="RightImg"
                                                           accept=".jpeg, .doc, .docx, .xls, .xlsx, .txt, .jpg, .png, .gif"
                                                           onchange="prepareUpload(7)" />
                                                    <label for="file-upload-7" id="file-drag-7">
                                                        <img id="file-image" src="#" alt="Preview" class="hidden">
                                                        <div id="start">
                                                            <i class="fa fa-upload" aria-hidden="true"></i>
                                                            <div>Drag and drop OR</div>
                                                            <div id="notimage" class="hidden">
                                                                Please select an image
                                                            </div>
                                                            <span id="file-upload-btn">Select a file</span>
                                                        </div>
                                                        <div id="response" class="hidden">
                                                            <div id="messages"></div>
                                                            <progress class="progress" id="file-progress" value="0">
                                                                <span>0</span>%
                                                            </progress>
                                                        </div>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                        <span class="d-block">Please include full 4 images of your vehicle</span>
                                        <span class="fileType">File type: .jpg, .jpeg, .png, .git</span>
                                        <ul class="list-inline pull-right">
                                            <li>
                                                <button type="button" class="default-btn prev-step">Previous</button>
                                            </li>
                                            <li>
                                                <button type="button" class="default-btn next-step">Next</button>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane" role="tabpanel" data-step="3" id="step3">
                                <div class="form-row mb-3">
                                    <div class="col-md-6">
                                        <label for="validationCustom04" asp-for="BasePrice">
                                            Set base price for your car: (VND/day)
                                        </label>
                                        <input type="text" asp-for="BasePrice" class="form-control" id="basePrice"
                                               placeholder="Base Price" required>
                                        <div class="invalid-feedback">
                                            <span asp-validation-for="BasePrice"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label asp-for="Deposit" for="validationCustom05">Required deposit: (VND)</label>
                                        <input asp-for="Deposit" type="text" class="form-control" id="validationCustom07"
                                               placeholder="Deposit" required>
                                        <div class="invalid-feedback">
                                            <span asp-validation-for="Deposit"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-12 mb-3">
                                        <span><b>Terms of use: </b></span>
                                    </div>
                                    <div class="col-md-6 " style="padding: 0;">
                                        <div class=" align-items-center d-flex">
                                            <input type="checkbox" name="TermsOfUse" value="No smoking">
                                            <i class="d-block col-3" aria-hidden="true"></i>
                                            <span class="col-md-5 d-block">No smoking</span>
                                        </div>
                                        <div class=" align-items-center d-flex">
                                            <input type="checkbox" name="TermsOfUse" value="No pet">
                                            <i class="d-block col-3" aria-hidden="true"></i>
                                            <span class="col-md-5 d-block">No pet</span>
                                        </div>
                                    </div>
                                    <div class="col-md-6 " style="padding: 0;">
                                        <div class=" align-items-center d-flex">
                                            <input type="checkbox" name="TermsOfUse" value="No food in car">
                                            <i class="d-block col-3" aria-hidden="true"></i>
                                            <span class="col-md-5 d-block">No food in car</span>
                                        </div>
                                        <div class="align-items-center d-flex">
                                            <input type="checkbox" id="otherCheckbox" name="TermsOfUse" value="other">
                                            <i class="d-block col-3" aria-hidden="true"></i>
                                            <span class="col-md-5 d-block">Other</span>
                                        </div>
                                        <div id="otherTextareaContainer" style="display: none;">
                                            <textarea class="form-control" id="otherTextarea" name="TermsOfUse" rows="4"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <ul class="list-inline pull-right">
                                    <li><button type="button" class="default-btn prev-step">Previous</button></li>
                                    <li><button type="button" class="default-btn next-step" onclick="updateStep4Values()">Next</button></li>
                                </ul>
                            </div>
                            <div class="tab-pane" role="tabpanel" data-step="4" id="step4">
                                <p>Preview</p>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div id="imageCarousel" class="carousel slide" data-ride="carousel">
                                            <div class="carousel-inner">
                                                <div class="carousel-item active">
                                                    <img id="preview-image-1" src="images/bg_1.jpg" class="d-block w-100 rounded" alt="Image 1">
                                                </div>
                                                <div class="carousel-item">
                                                    <img id="preview-image-2" src="images/bg_2.jpg" class="d-block w-100 rounded" alt="Image 2">
                                                </div>
                                                <div class="carousel-item">
                                                    <img id="preview-image-3" src="images/bg_3.jpg" class="d-block w-100 rounded" alt="Image 3">
                                                </div>
                                                <div class="carousel-item">
                                                    <img id="preview-image-4" src="images/bg_3.jpg" class="d-block w-100 rounded" alt="Image 4">
                                                </div>
                                            </div>
                                            <a class="carousel-control-prev" href="#imageCarousel" role="button"
                                               data-slide="prev">
                                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                                <span class="sr-only">Previous</span>
                                            </a>
                                            <a class="carousel-control-next" href="#imageCarousel" role="button"
                                               data-slide="next">
                                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                                <span class="sr-only">Next</span>
                                            </a>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="car-details">
                                            <div class="text">
                                                <span class="subheading" id="preview-brand"></span>
                                                <h2 id="preview-car-name">Mercedes Grand Sedan</h2>
                                            </div>
                                            <div class="text">
                                                <span>Ratings:</span>
                                                <span class="star">
                                                    <span>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                        <i class="ion-ios-star"></i>
                                                    </span>
                                                </span>
                                            </div>
                                            <div class="text">
                                                <span>No. of rides: 0</span>
                                            </div>
                                            <div class="text">
                                                <span>Price: <span class="text-dark" id="preview-price-per-day"></span> VND/day</span>
                                            </div>
                                            <div class="text">
                                                <span>Locations: <span class="text-dark" id="preview-car-location"></span></span>
                                            </div>
                                            <div class="text">
                                                <span id="preview-status">Status: <span style="color: green;">Available</span></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <ul class="list-inline pull-right">
                                    <li><button type="button" class="default-btn prev-step">Cancel</button></li>
                                    <li><button type="submit" class="default-btn next-step text-white">Submit</button></li>
                                </ul>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<script>
    function updateStep4Values() {
        // Get value in selected
        const selectedBrand = document.getElementById('brandDropdown').value;
        const selectedModel = document.getElementById('modelDropdown').value;
        const productionYear = document.getElementById('validationCustom02').value;

        const selectedCity = document.getElementById('cityDropdown').value;
        const selectedDistrict = document.getElementById('districtDropdown').value;
        const selectedWard = document.getElementById('wardDropdown').value;
        const specificAddress = document.getElementById('specificAddress').value;

        const basePrise = document.getElementById('basePrice').value;

        const previewBrand = document.getElementById("preview-brand").textContent = "Brand: " + selectedBrand;
        const previewCarName = document.getElementById("preview-car-name").textContent = selectedBrand + " " + selectedModel + " " + productionYear;

        const previewPrice = document.getElementById("preview-price-per-day").textContent = basePrise;
        const previewLocation = document.getElementById("preview-car-location").textContent = specificAddress + ", " + selectedWard + ", " + selectedDistrict + ", " + selectedCity;
    }

    function prepareUpload(inputNumber) {
        const fileInput = $(`#file-upload-${inputNumber}`);
        const fileDrag = $(`#file-drag-${inputNumber}`);
        const startDiv = $(`#file-drag-${inputNumber} #start`);

        const imgFile1 = $(`#preview-image-1`);
        const imgFile2 = $(`#preview-image-2`);
        const imgFile3 = $(`#preview-image-3`);
        const imgFile4 = $(`#preview-image-4`);

        startDiv.css('visibility', 'hidden');
        if (fileInput && fileInput[0].files) {
            const file = fileInput[0].files[0];
            const formData = new FormData();
            formData.append('fileUpload', file);

            $.ajax({
                type: 'POST',
                url: '/CarOwner/UploadFile/UploadImage',
                data: formData,
                processData: false,
                contentType: false,
                success: function (imageUrl) {
                    const fileImage = $(`#file-drag-${inputNumber} > #file-image`);

                    fileImage.attr('src', imageUrl);
                    fileDrag.css('background-image', `url('${imageUrl}')`);
                    fileDrag.css('background-size', 'cover');
                    fileDrag.css('background-repeat', 'no-repeat');
                    fileDrag.css('background-position', 'center');

                    if (inputNumber == 4) {
                        imgFile1.attr('src', imageUrl);
                    }
                    if (inputNumber == 5) {
                        imgFile2.attr('src', imageUrl);
                    }
                    if (inputNumber == 6) {
                        imgFile3.attr('src', imageUrl);
                    }
                    if (inputNumber == 7) {
                        imgFile4.attr('src', imageUrl);
                    }

                },
                error: function () {
                    console.error('Upload failed');
                },
                xhr: function () {
                    const xhr = new window.XMLHttpRequest();
                    xhr.upload.addEventListener('progress', function (e) {
                        if (e.lengthComputable) {

                        }
                    });
                    return xhr;
                }
            });
        }
    }
</script>

